{% extends 'base.html' %}

{% block content %}
{% autoescape false %}
<div class="fr-grid-row">
    <div class="fr-col-12 fr-col-lg-2">
        {% include 'content/side-nav.html' %}
    </div>

    <div class="fr-col-12 fr-col-lg-10">
        <section class="gn-main-content">
            <header class="fr-grid-row fr-grid-row--middle">
                <h1 class="fr-h3">Mes contenus {% if currentCategoryName %} <br /><em class="fr-h6">{{ currentCategoryName }}</em> {% endif %}</h1>
                <a href="{{ domain }}/contenus/nouveau" class="fr-btn fr-icon-add-circle-line fr-btn--icon-left">
                    Nouveau contenu
                </a>
            </header>

            <div class="fr-tabs gn-tabs">
                {% include 'content/contents-menu-tabs.html' %}
                {% set draftContents = [] %}
                {% set toPublishContents = [] %}
                {% set publishedContents = [] %}
                {% set archivedContents = [] %}
                {% set deletedContents = [] %}
                {% if categories|length > 0 %}
                {% for category in categories %}
                {% if category.contents|length > 0 %}
                {% for content in category.contents %}
                {% if content.status == 'DRAFT' %}
                {% set draftContents = draftContents|merge([category.id]) %}
                {% elseif content.status == 'TO_PUBLISH' or content.status == 'PUBLISHING' %}
                {% set toPublishContents = toPublishContents|merge([category.id]) %}
                {% elseif content.status == 'PUBLISHED' %}
                {% set publishedContents = publishedContents|merge([category.id]) %}
                {% elseif content.status == 'ARCHIVED' %}
                {% set archivedContents = archivedContents|merge([category.id]) %}
                {% elseif content.status == 'DELETED' %}
                {% set deletedContents = deletedContents|merge([category.id]) %}
                {% endif %}
                {% endfor %}
                {% endif %}
                {% endfor %}
                {% endif %}

                <div id="draft-contents" class="fr-tabs__panel fr-tabs__panel--selected" role="tabpanel" aria-labelledby="draft-contents-tab" tabindex="0">
                    <div class="gn-content--spaced gn-cards-list">
                        {% if categories|length > 0 %}
                        {% for category in categories %}
                        <section>
                            <h2 class="fr-h5">{{ category.name }}</h2>
                            {% if category.id in draftContents %}
                            <div class="fr-grid-row fr-grid-row--gutters fr-grid-row-lg--gutters">
                                {% for content in category.contents %}
                                {% if content.status == 'DRAFT' %}

                                {% include 'content/edit-publish-content-details.html' with {'content': content} %}

                                {% endif %}
                                {% endfor %}
                            </div>
                            {% else %}
                            <em>Aucun contenu &agrave; publier pour cette cat&eacute;gorie...</em>
                            {% endif %}
                        </section>
                        {% endfor %}
                        {% else %}
                        <em>Aucune cat&eacute;gorie enregistr&eacute;e pour le moment...</em>
                        {% endif %}
                    </div>
                    <span class="count" data-count="{{ draftContents|length }}"></span>
                </div>
                <div id="to-publish-contents" class="fr-tabs__panel" role="tabpanel" aria-labelledby="to-publish-contents-tab" tabindex="0">
                    <div class="gn-content--spaced gn-cards-list">
                        {% if categories|length > 0 %}
                        {% for category in categories %}
                        <section>
                            <h2 class="fr-h5">{{ category.name }}</h2>
                            {% if category.id in toPublishContents %}
                            <div class="fr-grid-row fr-grid-row--gutters fr-grid-row-lg--gutters">
                                {% for content in category.contents %}
                                {% if content.status == 'TO_PUBLISH' or content.status == 'PUBLISHING' %}

                                {% include 'content/edit-publish-content-details.html' with {'content': content} %}

                                {% endif %}
                                {% endfor %}
                            </div>
                            {% else %}
                            <em>Aucun contenu &agrave; publier pour cette cat&eacute;gorie...</em>
                            {% endif %}
                        </section>
                        {% endfor %}
                        {% else %}
                        <em>Aucune cat&eacute;gorie enregistr&eacute;e pour le moment...</em>
                        {% endif %}
                    </div>
                    <span class="count" data-count="{{ toPublishContents|length }}"></span>
                </div>
                <div id="published-contents" class="fr-tabs__panel" role="tabpanel" aria-labelledby="published-contents-tab" tabindex="0">
                    <div class="gn-content--spaced gn-cards-list">
                        {% if categories|length > 0 %}
                        {% for category in categories %}
                        <section>
                            <h2 class="fr-h5">{{ category.name }}</h2>
                            {% if category.id in publishedContents %}
                            <div class="fr-grid-row fr-grid-row--gutters fr-grid-row-lg--gutters">
                                {% for content in category.contents %}
                                {% if content.status == 'PUBLISHED' %}

                                {% include 'content/edit-publish-content-details.html' with {'content': content} %}

                                {% endif %}
                                {% endfor %}
                            </div>
                            {% else %}
                            <em>Aucun contenu publi&eacute; pour cette cat&eacute;gorie...</em>
                            {% endif %}
                        </section>
                        {% endfor %}
                        {% else %}
                        <em>Aucune cat&eacute;gorie enregistr&eacute;e pour le moment...</em>
                        {% endif %}
                    </div>
                    <span class="count" data-count="{{ publishedContents|length }}"></span>
                </div>
                <div id="archived-contents" class="fr-tabs__panel" role="tabpanel" aria-labelledby="archived-contents-tab" tabindex="0">
                    <div class="gn-content--spaced gn-cards-list">
                        {% if categories|length > 0 %}
                        {% for category in categories %}
                        <section>
                            <h2 class="fr-h5">{{ category.name }}</h2>
                            {% if category.id in archivedContents %}
                            <div class="fr-grid-row fr-grid-row--gutters fr-grid-row-lg--gutters">
                                {% for content in category.contents %}
                                {% if content.status == 'ARCHIVED' %}

                                {% include 'content/edit-publish-content-details.html' with {'content': content} %}

                                {% endif %}
                                {% endfor %}
                            </div>
                            {% else %}
                            <em>Aucun contenu archiv&eacute; pour cette cat&eacute;gorie...</em>
                            {% endif %}
                        </section>
                        {% endfor %}
                        {% else %}
                        <em>Aucune cat&eacute;gorie enregistr&eacute;e pour le moment...</em>
                        {% endif %}
                    </div>
                    <span class="count" data-count="{{ archivedContents|length }}"></span>
                </div>
                <div id="deleted-contents" class="fr-tabs__panel" role="tabpanel" aria-labelledby="deleted-contents-tab" tabindex="0">
                    <div class="gn-content--spaced gn-cards-list">
                        {% if categories|length > 0 %}
                        {% for category in categories %}
                        <section>
                            <h2 class="fr-h5">{{ category.name }}</h2>
                            {% if category.id in deletedContents %}
                            <div class="fr-grid-row fr-grid-row--gutters fr-grid-row-lg--gutters">
                                {% for content in category.contents %}
                                {% if content.status == 'DELETED' %}

                                {% include 'content/edit-publish-content-details.html' with {'content': content} %}

                                {% endif %}
                                {% endfor %}
                            </div>
                            {% else %}
                            <em>Aucun contenu supprim&eacute; pour cette cat&eacute;gorie...</em>
                            {% endif %}
                        </section>
                        {% endfor %}
                        {% else %}
                        <em>Aucune cat&eacute;gorie enregistr&eacute;e pour le moment...</em>
                        {% endif %}
                    </div>
                    <span class="count" data-count="{{ deletedContents|length }}"></span>
                </div>
            </div>

            {% include 'content/quick-access.html' %}

        </section>
    </div>
</div>

{% include './modals/content/archive-content.html' %}
{% include './modals/content/duplicate-content.html' %}
{% include './modals/content/delete-content.html' %}
{% include './modals/content/share-content.html' %}

{% endautoescape %}
{% endblock %}

{% block script %}
{% autoescape %}
<script type="text/javascript">

    $(document).ready(function () {
        $('#draft-contents-count').html($('#draft-contents .count').data('count'));
        $('#to-publish-contents-count').html($('#to-publish-contents .count').data('count'));
        $('#published-contents-count').html($('#published-contents .count').data('count'));
        $('#archived-contents-count').html($('#archived-contents .count').data('count'));
        $('#deleted-contents-count').html($('#deleted-contents .count').data('count'));
    });

    var csrfName = '{{ csrf.name }}';
    var csrfValue = '{{ csrf.value }}';

    $('button.delete-content').on('click', function () {
        var contentId = $(this).data('contentId');
        GN.openModal('deleteContentModal');
        $('#deleteContentModal input[name="content-id"]').val(contentId);
        $('#deleteContentModal span.content-name').html($('article#content' + contentId + ' h4').html());
    });

    $('button.duplicate-content').on('click', function () {
        var contentId = $(this).data('contentId');
        loadDuplicateContentModal(contentId, $('article#content' + contentId + ' h4').html());
    });

    $('button.archive-content').on('click', function () {
        var contentId = $(this).data('contentId');
        GN.openModal('archiveContentModal');
        $('#archiveContentModal input[name="content-id"]').val(contentId);
        $('#archiveContentModal span.content-name').html($('article#content' + contentId + ' h4').html());
    });

    $('button.share-content').on('click', function () {
        loadShareContentModal($(this).data('contentId'));
    });

</script>
{% endautoescape %}
{% endblock %}
